Skip to main content
GET
/
v1
/
corporate-actions
/
ipo-calendar
Get IPO Calendar
curl --request GET \
  --url https://api.aries.com/v1/corporate-actions/ipo-calendar \
  --header 'Authorization: Bearer <token>'
{ "ipos": [ { "symbol": "ESPAU", "name": "Expectation Acquisition Corp", "date": "2024-07-16", "exchange": "", "priceFrom": 0, "priceTo": 0, "totalSharesValue": 69000000, "status": "filed" } ] }

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

from
string<date>
required

Start date (YYYY-MM-DD). Required.

Example:

"2024-01-01"

to
string<date>
required

End date (YYYY-MM-DD). Required.

Example:

"2024-12-31"

Response

IPO calendar.

IPO calendar response